/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*-  */
/*
 * main.cc
 * Copyright (C) 2023 Leonardo de Ara??jo Lima <leonardo@deb-horus.local>
 * 
 * dStorage is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * dStorage is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <iostream>
#include "sdata.h"
int main(int argc, char* argv[])
{
	sdata monka;
	monka.add_data ("nome", "leo");
	monka.add_data ("email", "leonardo@asl-sl.com.br");
	monka.add_data ("website", "www.asl-br.com");
	monka.add_data ("telefone", "(35) 3331-3444");
	monka.set_dpath("/home/leonardo/databases/");
	monka.set_db("dStorage.db");
	monka.set_tb("info");
	cout << "class with debug level activated..." << endl;
	monka.show();
	monka.debug=0;
	cout << "class with debug level deactivated..." << endl;
	monka.show();
	monka.dbinfo();
	return 0;
}

