/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*-  */
/*
 * dtata.cc
 * Copyright (C) 2023 Leonardo de Ara??jo Lima <leonardo@deb-horus.local>
 *
 * dstorage is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * dstorage is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "sdata.h"
#include <iostream>
#include <vector>
#include <string>
using namespace std;

sdata::sdata(){
cout << "class constructor" << endl;
};

int sdata::add_data( char *n, char *d)
{
	iname.push_back(n);
	idata.push_back(d);
	nitens++;
	cout << "número de membros de dados: " << nitens << endl;
	return 0;
};

int sdata::citens(){
cout << "número de dados armazenados: " << iname.size() << endl;
	return 0;
};

int sdata::show() {
	cout << "Informações." << endl;

	for (int i=0; i < (nitens ); i++)
	{
		if (debug == 1)
		{
			cout << "informações sobre o membros de dados: " << i << endl;
		};
		cout << iname.at(i) << " : " << idata.at(i) << endl;
	};
	cout << "### --- ###" << endl;
	return 0;
};

int sdata::set_db(char *name) {
	db = name;
	return 0;
};

int sdata::set_tb(char *name) {
	tb = name;
	return 0;
};

int sdata::set_dpath( char *path) {
	dpath = path;
	return 0;
};

int sdata::dbinfo() {
cout << "informações sobre o banco de dados. \n" << "#----#" << endl;
cout << "Path: " << dpath << endl;
	cout << "Banco de dados: " << db << endl;
	cout << "Tabela: " <<tb <<  endl;
	return 0;
};

sdata::~sdata(){
cout << "class destructor..." << endl;
	iname.clear();
	idata.clear();
};
